pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Help! - Problems compiling kde4 on amd64 with gcc 4.5.3

> I would be inclined to agree its most likely a straight gcc-4.5.3
> issue, but it would be nice to eliminate i386+gcc-4.5.3 and amd64+4.1
> from the set. I've just started a from scratch build on an amd64 5.1
> box, and will do the same on an
> amd64-
> ary/sets/ box as soon as it finishes downloading & extracting :)

OK, I have the results for the same version of pkgsrc and the same version of 
current, but i386 rather than amd64. Exactly the same failure at the same 

NetBSD tester 5.99.55 NetBSD 5.99.55 (GENERIC) #0: Thu Aug 25 21:36:06 UTC 
obj/home/builds/ab/HEAD/src/sys/arch/i386/compile/GENERIC i386

In member function 'virtual unsigned int 
GpgME::GpgSignKeyEditInteractor::nextState(unsigned int, const char*, 
GpgME::Error&) const':
error: no matching function for call to 
unsigned int, std::basic_string<char> >, 
unsigned int, std::basic_string<char> >) const'

I guess the final test would be to revert the compiler on the amd64 system and 
have another go. I'll see if I get that done by tomorrow evening.


Phone: 07805784357
Open Source O/S:

Home | Main Index | Thread Index | Old Index